Bug 1360599 (CVE-2016-6351)

Summary: CVE-2016-6351 Qemu: scsi: esp: OOB write access in esp_do_dma
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ailan, amit.shah, apevec, areis, ayoung, berrange, cfergeau, chrisw, cvsbot-xmlrpc, drjones, dwmw2, imammedo, itamar, jen, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:56:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1360600    
Bug Blocks: 1346772    

Description Prasad J Pandit 2016-07-27 06:42:35 UTC
Quick Emulator(Qemu) built with the ESP/NCR53C9x controller emulation support 
is vulnerable to an OOB write access issue. It could occur while doing DMA 
read into ESP command buffer 's->cmdbuf'; It could write past the 's->cmdbuf' 
area, if it was transferring more than 16 bytes in esp_do_dma().

A privileged user inside guest could use this flaw to crash the Qemu process 
resulting in DoS OR potentially leverage it to execute arbitrary code with 
privileges of the Qemu process on the host.

Upstream patches:
-----------------
   -> http://git.qemu.org/?p=qemu.git;a=commit;h=926cde5f3e4d2504ed161ed0
   -> http://git.qemu.org/?p=qemu.git;a=commit;h=cc96677469388bad3d664793

Reference:
----------
   -> http://www.openwall.com/lists/oss-security/2016/07/25/14

Comment 1 Prasad J Pandit 2016-07-27 06:43:07 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-07-27 06:44:04 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1360600]

Comment 3 Fedora Update System 2016-08-05 20:54:22 UTC
xen-4.6.3-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-08-08 23:53:28 UTC
xen-4.5.3-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.